VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends Groups Pages
Public Member Functions | List of all members
IContentProvider Class Referenceabstract
Inheritance diagram for IContentProvider:

## Public Member Functions
virtual uint32_t | readRawData (int8_t *buffer, uint32_t size)=0
virtual void | rewind ()=0
virtual | ~IContentProvider () noexcept=default

## Constructor & Destructor Documentation

virtual ~IContentProvider | ( |  | ) |
| virtual default noexcept

## Member Function Documentation

virtual uint32_t readRawData | ( | int8_t * | buffer,
|  | uint32_t | size
| ) |  |
| pure virtual

Implemented in ZLibInputContentProvider, InputStreamContentProvider, and MemoryContentProvider.

virtual void rewind | ( |  | ) |
| pure virtual

Implemented in ZLibInputContentProvider, InputStreamContentProvider, and MemoryContentProvider.

The documentation for this class was generated from the following file:

- icontentprovider.h